/***************************************************************************
 *   Copyright (C) 2008 by peter komar   *
 *   peter@linux-nlyt   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef DWNMAINIMPL_H
#define DWNMAINIMPL_H

#include <QWidget>

#include "ui_dwnmain.h"

class QHttp;
class QHttpResponseHeader;
class QAuthenticator;
class QFile;
class QProgressBar;
/**
	@author peter komar <peter@linux-nlyt>
*/
class DwnMainImpl : public QWidget, public Ui::dwnmain
{
Q_OBJECT
public:
    DwnMainImpl(QWidget *parent = 0);
    ~DwnMainImpl();

public slots:
    void stop_download();
    void remove_item();
    void slot_new_download();
    void start_download();
    void slot_exit();
    void slot_about();
private:
    QHttp *http;
    QFile *file;
    int httpGetId;
    bool httpRequestAborted;
    QProgressBar *progressDialog;
	
    void init_conections();
    void work_links(const QString& sfile, const QString& spath);
    void error_message();
	bool download_file();
private slots:
	void httpRequestFinished(int requestId, bool error);
	void readResponseHeader(const QHttpResponseHeader &responseHeader);
	void updateDataReadProgress(int bytesRead, int totalBytes);
	void slotAuthenticationRequired(const QString &, quint16, QAuthenticator *);
};

#endif
