/***************************************************************************
 *   Copyright (C) 2008 by peter komar   *
 *   peter@linux-nlyt   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "newdlgimpl.h"

#include <QString>
#include <QFileDialog>

NewDlgImpl::NewDlgImpl(QWidget *parent)
 : QDialog(parent), Ui::newDlg()
 ,b_ok(false)
{
	setupUi(this);
	
	connect(okBtn, SIGNAL(clicked()),this,SLOT(slot_ok()));
	connect(selectfBtn, SIGNAL(clicked()),this, SLOT(slot_select_file()));
	connect(selectBtn,SIGNAL(clicked()), this, SLOT(slot_select_dir()));
}


NewDlgImpl::~NewDlgImpl()
{
}

/*!
    \fn NewDlgImpl::slot_ok()
 */
void NewDlgImpl::slot_ok()
{
	b_ok = true;
	
	s_file = file_edi->text();
	s_path = outD_edit->text();
	
	close();
}


/*!
    \fn NewDlgImpl::slot_select_file()
 */
void NewDlgImpl::slot_select_file()
{
	QString fileName = QFileDialog::getOpenFileName(this, tr("Open file"), "/", tr("Text Files (*.txt *.date)"));
	
	file_edi->setText(fileName);
}


/*!
    \fn NewDlgImpl::slot_select_dir()
 */
void NewDlgImpl::slot_select_dir()
{
	QString fileName = QFileDialog::getExistingDirectory(this, tr("Open Directory"),
			"/", QFileDialog::ShowDirsOnly | QFileDialog::DontResolveSymlinks);
	
	outD_edit->setText(fileName);
}

